#!/usr/bin/env python

import glob
import sys


N = 50000
d = {
  'd': [0] * N,
  'u': [0] * N,
}
e = 'd'
s = 0


def avg(l):
  return sum(l) / len(l)


prev = 0
for fn in glob.glob('*.txt'):
  d = {
    'd': [0] * N,
    'u': [0] * N,
  }
  print fn
  first = True
  with open(fn) as f:
    for l in f.readlines():
      if l.startswith('E'):
        #print l.strip()
        if s and not first:
          for i in range(prev, N):
            d[e][i] += s
          pass
        e = l[1].lower();
        s = int(l[1] == 'U')
        prev = 0
        first = False
        continue
      else:
        t = int(l.split()[1])
        #print '%s; set %d to %d to %d' % (e, prev, t, s)
        if s:
          for i in range(prev, t):
            d[e][i] += s
        s = int(l[0] == 'D')
        prev = t
    for i in range(prev, N):
      d[e][i] += s
  fnd = fn.replace('.txt', ' Press.ssv')
  with open(fnd, 'w') as f:
    for i, v in enumerate(d['d']):
      f.write('%d %f\n' % (i+s, v / 250.0))
  fnu = fn.replace('.txt', ' Release.ssv')
  with open(fnu, 'w') as f:
    for i, v in enumerate(d['u']):
      f.write('%d %f\n' % (i+s, v / 250.0))
