#!/usr/bin/env python

import glob
import sys


print '%-10s %17s %17s' % ('switch', 'range down', 'range up')

for fn in glob.glob('*.txt'):
  mind = 99999999
  minu = 99999999
  maxd = 0
  maxu = 0
  flg = False
  e = None
  with open(fn) as f:
    for l in f.readlines():
      if l.startswith('E'):
        e = l[1]
      else:
        t = int(l.split()[1])
        if t < 1000:
          # Zippy has some "D 8" entries!?
          continue
        if e == 'D':
          mind = min(mind, t)
          maxd = max(maxd, t)
        elif e == 'U':
          minu = min(minu, t)
          maxu = max(maxu, t)
  print '%-10s %8d %8d %8d %8d' % (
      fn.replace('.txt', ''), mind, maxd, minu, maxu)
