# This is a gnuplot script.

names = "`ls *txt|sed -e 's/.txt/ /'`"


set title "All Switches, Press"
set yrange [0:1]
set xrange [10000:40000]
set key vert bottom right
set terminal png size 800,600 enhanced
set output "all-presses.png"
plot for [n in names] (n . " Press.ssv") title n with lines;


set title "All Switches, Release"
set yrange [0:1]
set xrange [2000:16000]
set key vert top right
set terminal png size 800,600 enhanced
set output "all-releases.png"
plot for [n in names] (n . " Release.ssv") title n with lines;
