#!/usr/bin/env python

import glob

event = None
num_event = 0
num_bounce_down = 0
start_time_down = 0
end_time_down = 0
num_bounce_up = 0
start_time_up = 0
end_time_up = 0

of = open('bounces.tsv', 'w')
of.write('\t'.join((
    'switch', 'event',
    'bounces down', 'us down',
    'bounces up', 'us up')) + '\n');


for fn in glob.glob('*.txt'):
  sw = fn.replace('.txt', '')
  for line in open(fn, 'r'):
    if line.startswith('ED'):
      num_event = int(line.split()[1])
      num_bounce_down = 0
      start_time_down = 0
      end_time_down = 0
      event = 'D'
      continue
    if line.startswith('EU'):
      of.write('\t'.join(str(x) for x in (
          sw, num_event,
          num_bounce_down, end_time_down-start_time_down,
          num_bounce_up, end_time_up-start_time_up)) + '\n')

      num_event = int(line.split()[1])
      num_bounce_up = 0
      start_time_up = 0
      end_time_up = 0
      event = 'U'
      continue

    _, t = line.strip().split()
    t = int(t)

    if event == 'D':
      if start_time_down == 0:
        start_time_down = t
      end_time_down = t
      if line[0] != event:
        num_bounce_down += 1
    elif event == 'U':
      if start_time_up == 0: start_time_up = t
      end_time_up = t
      if line[0] != event:
        num_bounce_up += 1
    else:
      raise Exception('Unknown e: ' + e)
