#!/bin/bash

for F in *Press.ssv; do
  echo "$F"
  T="$(echo $F|sed -e 's/.ssv//')"
  O="$(echo $F|sed -e 's/.ssv/.png/')"
  gnuplot.exe -e "set title \"$T\"; set yrange [0:1]; set xrange [10000:40000]; set key vert bottom right; set terminal png size 800,600 enhanced; set output '$O'; plot '$F' notitle with lines"
done

for F in *Release.ssv; do
  echo "$F"
  T="$(echo $F|sed -e 's/.ssv//')"
  O="$(echo $F|sed -e 's/.ssv/.png/')"
  gnuplot.exe -e "set title \"$T\"; set yrange [0:1]; set xrange [2000:16000]; set key vert bottom right; set terminal png size 800,600 enhanced; set output '$O'; plot '$F' notitle with lines"
done
